KNOWLEDGE BASE

Error "This flow was created in a newer version of Tableau Prep Builder and includes functionality that isn't supported in this version." When Opening a Flow with LOD in Tableau Prep Builder


Published: 10 Jan 2020
Last Modified Date: 10 Jan 2020

Issue

When opening a flow containing Level of Details (LOD) calculations in Tableau Prep Builder 2019.4.2, the following error message is encountered:

"This flow was created in a newer version of Tableau Prep Builder and includes functionality that isn't supported in this version.
To open the flow, either upgrade to the latest version or open the flow in Tableau Prep Builder 2020.1.1 and disable the following functionality:
Level of Detail Calculations (supported in version 2020.1.1 and later)" 

 

Environment

Tableau Prep 2019.4.2

Resolution

Option 1

Download and install Tableau Prep 2019.2.3 and try to open the flow using version 2019.2.3. The LOD should be removed automatically without any message. 
Once the flow is opened in Tableau Prep Builder 2019.2.3, save, close and re-open the flow using Tableau Prep Builder 2019.4.2, and the error message should not be displayed any longer.
 

Option 2

Install Tableau Prep 2020.1 Beta version, remove the LOD calculation and re-save the flow so it can be used in version 2019.4.2 again.
 

Cause

The ability to use Level of Detail (LOD) calculations is not built into Tableau Prep Builder 2019.4.2 and previous versions. However, the error message aforementioned was introduced in version 2019.4.2 only.
In other words, LOD calculations in Tableau Prep flows never worked up until version 2019.4.2 but the error was not displayed in the previous versions.

This feature will be introduced in a future version of Tableau Prep Builder
 
Did this article resolve the issue?